
From: James Cleverdon <jamesclv@us.ibm.com>

We're overflowing some of the bus arrays on 32-way x445s (the BIOS reserves
lots of busses for PCI hot-plug), and probably would do the same on a
16-way x440 with dual PCI expansion boxes.  This should make enough room.



---

 include/asm-i386/mach-generic/mach_mpspec.h |    8 +++++++-
 include/asm-i386/mach-summit/mach_mpspec.h  |    3 ++-
 2 files changed, 9 insertions(+), 2 deletions(-)

diff -puN include/asm-i386/mach-generic/mach_mpspec.h~increase-MAX_MP_BUSSES include/asm-i386/mach-generic/mach_mpspec.h
--- 25/include/asm-i386/mach-generic/mach_mpspec.h~increase-MAX_MP_BUSSES	2004-01-13 17:58:10.000000000 -0800
+++ 25-akpm/include/asm-i386/mach-generic/mach_mpspec.h	2004-01-13 17:58:10.000000000 -0800
@@ -8,6 +8,12 @@
 
 #define MAX_IRQ_SOURCES 256
 
-#define MAX_MP_BUSSES 32
+/* Summit or generic (i.e. installer) kernels need lots of bus entries. */
+#if defined(CONFIG_X86_SUMMIT) || defined(CONFIG_X86_GENERICARCH)
+/* Maximum 256 PCI busses, plus 1 ISA bus in each of 4 cabinets. */
+# define MAX_MP_BUSSES 260
+#else
+# define MAX_MP_BUSSES 32
+#endif
 
 #endif /* __ASM_MACH_MPSPEC_H */
diff -puN include/asm-i386/mach-summit/mach_mpspec.h~increase-MAX_MP_BUSSES include/asm-i386/mach-summit/mach_mpspec.h
--- 25/include/asm-i386/mach-summit/mach_mpspec.h~increase-MAX_MP_BUSSES	2004-01-13 17:58:10.000000000 -0800
+++ 25-akpm/include/asm-i386/mach-summit/mach_mpspec.h	2004-01-13 17:58:10.000000000 -0800
@@ -8,6 +8,7 @@
 
 #define MAX_IRQ_SOURCES 256
 
-#define MAX_MP_BUSSES 32
+/* Maximum 256 PCI busses, plus 1 ISA bus in each of 4 cabinets. */
+#define MAX_MP_BUSSES 260
 
 #endif /* __ASM_MACH_MPSPEC_H */

_
